package com.zcloud.personnel.positioning.command;

import com.zcloud.personnel.positioning.domain.gateway.AreaGateway;
import com.alibaba.cola.exception.BizException;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

/**
 * web-app
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
@Component
@AllArgsConstructor
public class AreaRemoveExe {
    private final AreaGateway areaGateway;

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long id) {
        boolean res = areaGateway.deletedAreaById(id);
        if (!res) {
            throw new BizException("删除失败");
        }
        return true;
    }

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long[] ids) {
        boolean res = areaGateway.deletedAreaByIds(ids);
        if (!res) {
            throw new BizException("删除失败");
        }
        return true;
    }
}
